using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record EAFLogConfiguration(string SearchPattern)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, EAFLogConfigurationSourceGenerationContext.Default.EAFLogConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(EAFLogConfiguration))]
internal partial class EAFLogConfigurationSourceGenerationContext : JsonSerializerContext
{
}