using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record MetrologyConfiguration(int DirectoriesBack,
                                     int DeleteOlderThanWeeks,
                                     string[] HardcodedValues,
                                     string[] SourceDirectories)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MetrologyConfigurationSourceGenerationContext.Default.MetrologyConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MetrologyConfiguration))]
internal partial class MetrologyConfigurationSourceGenerationContext : JsonSerializerContext
{
}