﻿#pragma warning disable IDE1006
#pragma warning disable CS8618

namespace File_Watcher.Helpers.EDA;

// NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
[System.Xml.Serialization.XmlRoot(Namespace = "", IsNullable = false)]
public partial class PDSFConfiguration
{

    private PDSFConfigurationSettings settingsField;

    private PDSFConfigurationDataCollection dataCollectionField;

    /// <remarks/>
    public PDSFConfigurationSettings Settings
    {
        get => settingsField;
        set => settingsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollection DataCollection
    {
        get => dataCollectionField;
        set => dataCollectionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationSettings
{

    private bool logisticsValueTrimField;

    private bool parameterValueTrimField;

    private PDSFConfigurationSettingsCeidSettings ceidSettingsField;

    private bool generateDummyIfMissingMIDField;

    private bool requestCSAforTrustedWaferField;

    private string dummyMIDTimeFormatField;

    private PDSFConfigurationSettingsTimePrevDiffSettings timePrevDiffSettingsField;

    private string[] storagePathsField;

    private string filenameField;

    private bool isBackwardLogisticsEnabledField;

    private decimal timeColumnFormatField;

    private string writeEmptyLogisticsField;

    private bool resetLogisticsOnFileCutField;

    private string startTimeFormatField;

    private bool useRawDatabaseField;

    private bool usePdsfFileModeField;

    private bool yodaNotificationRequiredField;

    /// <remarks/>
    public bool LogisticsValueTrim
    {
        get => logisticsValueTrimField;
        set => logisticsValueTrimField = value;
    }

    /// <remarks/>
    public bool ParameterValueTrim
    {
        get => parameterValueTrimField;
        set => parameterValueTrimField = value;
    }

    /// <remarks/>
    public PDSFConfigurationSettingsCeidSettings CeidSettings
    {
        get => ceidSettingsField;
        set => ceidSettingsField = value;
    }

    /// <remarks/>
    public bool GenerateDummyIfMissingMID
    {
        get => generateDummyIfMissingMIDField;
        set => generateDummyIfMissingMIDField = value;
    }

    /// <remarks/>
    public bool RequestCSAforTrustedWafer
    {
        get => requestCSAforTrustedWaferField;
        set => requestCSAforTrustedWaferField = value;
    }

    /// <remarks/>
    public string DummyMIDTimeFormat
    {
        get => dummyMIDTimeFormatField;
        set => dummyMIDTimeFormatField = value;
    }

    /// <remarks/>
    public PDSFConfigurationSettingsTimePrevDiffSettings TimePrevDiffSettings
    {
        get => timePrevDiffSettingsField;
        set => timePrevDiffSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Path", IsNullable = false)]
    public string[] StoragePaths
    {
        get => storagePathsField;
        set => storagePathsField = value;
    }

    /// <remarks/>
    public string Filename
    {
        get => filenameField;
        set => filenameField = value;
    }

    /// <remarks/>
    public bool IsBackwardLogisticsEnabled
    {
        get => isBackwardLogisticsEnabledField;
        set => isBackwardLogisticsEnabledField = value;
    }

    /// <remarks/>
    public decimal TimeColumnFormat
    {
        get => timeColumnFormatField;
        set => timeColumnFormatField = value;
    }

    /// <remarks/>
    public string WriteEmptyLogistics
    {
        get => writeEmptyLogisticsField;
        set => writeEmptyLogisticsField = value;
    }

    /// <remarks/>
    public bool ResetLogisticsOnFileCut
    {
        get => resetLogisticsOnFileCutField;
        set => resetLogisticsOnFileCutField = value;
    }

    /// <remarks/>
    public string StartTimeFormat
    {
        get => startTimeFormatField;
        set => startTimeFormatField = value;
    }

    /// <remarks/>
    public bool UseRawDatabase
    {
        get => useRawDatabaseField;
        set => useRawDatabaseField = value;
    }

    /// <remarks/>
    public bool UsePdsfFileMode
    {
        get => usePdsfFileModeField;
        set => usePdsfFileModeField = value;
    }

    /// <remarks/>
    public bool YodaNotificationRequired
    {
        get => yodaNotificationRequiredField;
        set => yodaNotificationRequiredField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationSettingsCeidSettings
{

    private bool isEnabledField;

    private object ceidField;

    /// <remarks/>
    public bool IsEnabled
    {
        get => isEnabledField;
        set => isEnabledField = value;
    }

    /// <remarks/>
    public object Ceid
    {
        get => ceidField;
        set => ceidField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationSettingsTimePrevDiffSettings
{

    private bool isEnabledField;

    /// <remarks/>
    public bool IsEnabled
    {
        get => isEnabledField;
        set => isEnabledField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollection
{

    private PDSFConfigurationDataCollectionStartTriggers startTriggersField;

    private PDSFConfigurationDataCollectionStopTriggers stopTriggersField;

    private PDSFConfigurationDataCollectionFileCutTriggers fileCutTriggersField;

    private PDSFConfigurationDataCollectionParameter[] parametersField;

    private PDSFConfigurationDataCollectionParameter1[] virtualParametersField;

    private PDSFConfigurationDataCollectionLogistics logisticsField;

    private PDSFConfigurationDataCollectionTrigger triggerField;

    private PDSFConfigurationDataCollectionFileWriterSettings fileWriterSettingsField;

    private PDSFConfigurationDataCollectionGeneralTriggers[] generalTriggersField;

    private string sourceField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStartTriggers StartTriggers
    {
        get => startTriggersField;
        set => startTriggersField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggers StopTriggers
    {
        get => stopTriggersField;
        set => stopTriggersField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileCutTriggers FileCutTriggers
    {
        get => fileCutTriggersField;
        set => fileCutTriggersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Parameter", IsNullable = false)]
    public PDSFConfigurationDataCollectionParameter[] Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Parameter", IsNullable = false)]
    public PDSFConfigurationDataCollectionParameter1[] VirtualParameters
    {
        get => virtualParametersField;
        set => virtualParametersField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogistics Logistics
    {
        get => logisticsField;
        set => logisticsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionTrigger Trigger
    {
        get => triggerField;
        set => triggerField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileWriterSettings FileWriterSettings
    {
        get => fileWriterSettingsField;
        set => fileWriterSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("GeneralTriggers")]
    public PDSFConfigurationDataCollectionGeneralTriggers[] GeneralTriggers
    {
        get => generalTriggersField;
        set => generalTriggersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Source
    {
        get => sourceField;
        set => sourceField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggers
{

    private PDSFConfigurationDataCollectionStartTriggersDCP dCPField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStartTriggersDCP DCP
    {
        get => dCPField;
        set => dCPField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggersDCP
{

    private PDSFConfigurationDataCollectionStartTriggersDCPDataPool dataPoolField;

    private string ruleField;

    private object descriptionField;

    private bool resetGlobalStopSettingsField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStartTriggersDCPDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    public string Rule
    {
        get => ruleField;
        set => ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    public bool ResetGlobalStopSettings
    {
        get => resetGlobalStopSettingsField;
        set => resetGlobalStopSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => resolveGlobalVariableBeforeTriggerField;
        set => resolveGlobalVariableBeforeTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggersDCPDataPool
{

    private PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => valueField;
        set => valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggers
{

    private PDSFConfigurationDataCollectionStopTriggersDCP dCPField;

    private int durationField;

    private int receiveTimeoutField;

    private int rowCountField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggersDCP DCP
    {
        get => dCPField;
        set => dCPField = value;
    }

    /// <remarks/>
    public int Duration
    {
        get => durationField;
        set => durationField = value;
    }

    /// <remarks/>
    public int ReceiveTimeout
    {
        get => receiveTimeoutField;
        set => receiveTimeoutField = value;
    }

    /// <remarks/>
    public int RowCount
    {
        get => rowCountField;
        set => rowCountField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCP
{

    private PDSFConfigurationDataCollectionStopTriggersDCPDataPool dataPoolField;

    private string ruleField;

    private object descriptionField;

    private PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool publishDocumentDataPoolField;

    private object publishDocumentRuleField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    private bool resetGlobalVariablesAfterTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggersDCPDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    public string Rule
    {
        get => ruleField;
        set => ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool PublishDocumentDataPool
    {
        get => publishDocumentDataPoolField;
        set => publishDocumentDataPoolField = value;
    }

    /// <remarks/>
    public object PublishDocumentRule
    {
        get => publishDocumentRuleField;
        set => publishDocumentRuleField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => resolveGlobalVariableBeforeTriggerField;
        set => resolveGlobalVariableBeforeTriggerField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResetGlobalVariablesAfterTrigger
    {
        get => resetGlobalVariablesAfterTriggerField;
        set => resetGlobalVariablesAfterTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCPDataPool
{

    private PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => valueField;
        set => valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileCutTriggers
{

    private int intervalField;

    private int rowCountField;

    /// <remarks/>
    public int Interval
    {
        get => intervalField;
        set => intervalField = value;
    }

    /// <remarks/>
    public int RowCount
    {
        get => rowCountField;
        set => rowCountField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameter
{

    private string idField;

    private string nameField;

    private string descriptionField;

    private object childsField;

    private object dataTypeField;

    private string hardWareIdField;

    private bool isArrayField;

    private bool repeatsOnSameLevelField;

    private bool isCyclicalField;

    private string fullNameField;

    private object separatorField;

    private bool isAutoGeneratedField;

    private PDSFConfigurationDataCollectionParameterConditions conditionsField;

    private object localVariablesField;

    private object arithmeticsField;

    private string name1Field;

    private string aliasField;

    private string positionField;

    private int orderField;

    private bool useField;

    /// <remarks/>
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    public object Childs
    {
        get => childsField;
        set => childsField = value;
    }

    /// <remarks/>
    public object DataType
    {
        get => dataTypeField;
        set => dataTypeField = value;
    }

    /// <remarks/>
    public string HardWareId
    {
        get => hardWareIdField;
        set => hardWareIdField = value;
    }

    /// <remarks/>
    public bool IsArray
    {
        get => isArrayField;
        set => isArrayField = value;
    }

    /// <remarks/>
    public bool RepeatsOnSameLevel
    {
        get => repeatsOnSameLevelField;
        set => repeatsOnSameLevelField = value;
    }

    /// <remarks/>
    public bool IsCyclical
    {
        get => isCyclicalField;
        set => isCyclicalField = value;
    }

    /// <remarks/>
    public string FullName
    {
        get => fullNameField;
        set => fullNameField = value;
    }

    /// <remarks/>
    public object Separator
    {
        get => separatorField;
        set => separatorField = value;
    }

    /// <remarks/>
    public bool IsAutoGenerated
    {
        get => isAutoGeneratedField;
        set => isAutoGeneratedField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditions Conditions
    {
        get => conditionsField;
        set => conditionsField = value;
    }

    /// <remarks/>
    public object LocalVariables
    {
        get => localVariablesField;
        set => localVariablesField = value;
    }

    /// <remarks/>
    public object Arithmetics
    {
        get => arithmeticsField;
        set => arithmeticsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Name")]
    public string Name1
    {
        get => name1Field;
        set => name1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Alias
    {
        get => aliasField;
        set => aliasField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Position
    {
        get => positionField;
        set => positionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Order
    {
        get => orderField;
        set => orderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool Use
    {
        get => useField;
        set => useField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditions
{

    private PDSFConfigurationDataCollectionParameterConditionsConditionModel conditionModelField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModel ConditionModel
    {
        get => conditionModelField;
        set => conditionModelField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModel
{

    private string idField;

    private string nameField;

    private object descriptionField;

    private object conditionField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool conditionDataPoolField;

    private string formulaField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool formulaDataPoolField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool nameDataPoolField;

    /// <remarks/>
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    public object Condition
    {
        get => conditionField;
        set => conditionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool ConditionDataPool
    {
        get => conditionDataPoolField;
        set => conditionDataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => formulaField;
        set => formulaField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool FormulaDataPool
    {
        get => formulaDataPoolField;
        set => formulaDataPoolField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool NameDataPool
    {
        get => nameDataPoolField;
        set => nameDataPoolField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameter1
{

    private string idField;

    private string nameField;

    private string descriptionField;

    private object childsField;

    private object dataTypeField;

    private string hardWareIdField;

    private bool isArrayField;

    private bool repeatsOnSameLevelField;

    private bool isCyclicalField;

    private string fullNameField;

    private object separatorField;

    private bool isAutoGeneratedField;

    private PDSFConfigurationDataCollectionParameterConditions1 conditionsField;

    private object localVariablesField;

    private object arithmeticsField;

    private string name1Field;

    private string aliasField;

    private string positionField;

    private int orderField;

    private bool useField;

    /// <remarks/>
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    public object Childs
    {
        get => childsField;
        set => childsField = value;
    }

    /// <remarks/>
    public object DataType
    {
        get => dataTypeField;
        set => dataTypeField = value;
    }

    /// <remarks/>
    public string HardWareId
    {
        get => hardWareIdField;
        set => hardWareIdField = value;
    }

    /// <remarks/>
    public bool IsArray
    {
        get => isArrayField;
        set => isArrayField = value;
    }

    /// <remarks/>
    public bool RepeatsOnSameLevel
    {
        get => repeatsOnSameLevelField;
        set => repeatsOnSameLevelField = value;
    }

    /// <remarks/>
    public bool IsCyclical
    {
        get => isCyclicalField;
        set => isCyclicalField = value;
    }

    /// <remarks/>
    public string FullName
    {
        get => fullNameField;
        set => fullNameField = value;
    }

    /// <remarks/>
    public object Separator
    {
        get => separatorField;
        set => separatorField = value;
    }

    /// <remarks/>
    public bool IsAutoGenerated
    {
        get => isAutoGeneratedField;
        set => isAutoGeneratedField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditions1 Conditions
    {
        get => conditionsField;
        set => conditionsField = value;
    }

    /// <remarks/>
    public object LocalVariables
    {
        get => localVariablesField;
        set => localVariablesField = value;
    }

    /// <remarks/>
    public object Arithmetics
    {
        get => arithmeticsField;
        set => arithmeticsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Name")]
    public string Name1
    {
        get => name1Field;
        set => name1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Alias
    {
        get => aliasField;
        set => aliasField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Position
    {
        get => positionField;
        set => positionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Order
    {
        get => orderField;
        set => orderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool Use
    {
        get => useField;
        set => useField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditions1
{

    private PDSFConfigurationDataCollectionParameterConditionsConditionModel1 conditionModelField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModel1 ConditionModel
    {
        get => conditionModelField;
        set => conditionModelField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModel1
{

    private string idField;

    private string nameField;

    private string descriptionField;

    private object conditionField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1 conditionDataPoolField;

    private string formulaField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1 formulaDataPoolField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1 nameDataPoolField;

    /// <remarks/>
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    public object Condition
    {
        get => conditionField;
        set => conditionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1 ConditionDataPool
    {
        get => conditionDataPoolField;
        set => conditionDataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => formulaField;
        set => formulaField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1 FormulaDataPool
    {
        get => formulaDataPoolField;
        set => formulaDataPoolField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1 NameDataPool
    {
        get => nameDataPoolField;
        set => nameDataPoolField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1
{

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => valueField;
        set => valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogistics
{

    private PDSFConfigurationDataCollectionLogisticsAttribute[] attributesField;

    private PDSFConfigurationDataCollectionLogisticsColumn[] columnsField;

    private PDSFConfigurationDataCollectionLogisticsTriggers triggersField;

    private string equipmentAliasField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Attribute", IsNullable = false)]
    public PDSFConfigurationDataCollectionLogisticsAttribute[] Attributes
    {
        get => attributesField;
        set => attributesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Column", IsNullable = false)]
    public PDSFConfigurationDataCollectionLogisticsColumn[] Columns
    {
        get => columnsField;
        set => columnsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggers Triggers
    {
        get => triggersField;
        set => triggersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string EquipmentAlias
    {
        get => equipmentAliasField;
        set => equipmentAliasField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsAttribute
{

    private string keyField;

    private int orderField;

    private string placeholderField;

    private bool useField;

    private bool addAsDataColumnField;

    private string attributeTypeField;

    private string dataColumnAliasField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Key
    {
        get => keyField;
        set => keyField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Order
    {
        get => orderField;
        set => orderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Placeholder
    {
        get => placeholderField;
        set => placeholderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool Use
    {
        get => useField;
        set => useField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool AddAsDataColumn
    {
        get => addAsDataColumnField;
        set => addAsDataColumnField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string AttributeType
    {
        get => attributeTypeField;
        set => attributeTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string DataColumnAlias
    {
        get => dataColumnAliasField;
        set => dataColumnAliasField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsColumn
{

    private int idField;

    private string prefixField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int ID
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Prefix
    {
        get => prefixField;
        set => prefixField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggers
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger updateTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger UpdateTrigger
    {
        get => updateTriggerField;
        set => updateTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest[] logisticRequestField;

    private bool incrementRuleField;

    private bool resolveGlobalVariableBeforeTriggerField;

    private string dCPField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("LogisticRequest")]
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest[] LogisticRequest
    {
        get => logisticRequestField;
        set => logisticRequestField = value;
    }

    /// <remarks/>
    public bool IncrementRule
    {
        get => incrementRuleField;
        set => incrementRuleField = value;
    }

    /// <remarks/>
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => resolveGlobalVariableBeforeTriggerField;
        set => resolveGlobalVariableBeforeTriggerField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string DCP
    {
        get => dCPField;
        set => dCPField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest
{

    private int nameField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition callDefinitionField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool dataPoolField;

    private object incrementRuleField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys keysField;

    private string ruleField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition logisticIncrementConditionField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn logisticsColumnField;

    /// <remarks/>
    public int Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition CallDefinition
    {
        get => callDefinitionField;
        set => callDefinitionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    public object IncrementRule
    {
        get => incrementRuleField;
        set => incrementRuleField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys Keys
    {
        get => keysField;
        set => keysField = value;
    }

    /// <remarks/>
    public string Rule
    {
        get => ruleField;
        set => ruleField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition LogisticIncrementCondition
    {
        get => logisticIncrementConditionField;
        set => logisticIncrementConditionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn LogisticsColumn
    {
        get => logisticsColumnField;
        set => logisticsColumnField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute[] attributesField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("LogisticCallDefinitionAttribute", IsNullable = false)]
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute[] Attributes
    {
        get => attributesField;
        set => attributesField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool dataPoolField;

    private string formulaField;

    private string logisticsKeyField;

    private string mappedParameterNameField;

    private string sourceField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => formulaField;
        set => formulaField = value;
    }

    /// <remarks/>
    public string LogisticsKey
    {
        get => logisticsKeyField;
        set => logisticsKeyField = value;
    }

    /// <remarks/>
    public string MappedParameterName
    {
        get => mappedParameterNameField;
        set => mappedParameterNameField = value;
    }

    /// <remarks/>
    public string Source
    {
        get => sourceField;
        set => sourceField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters parametersField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel scriptEditorDataPoolParameterModelField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel ScriptEditorDataPoolParameterModel
    {
        get => scriptEditorDataPoolParameterModelField;
        set => scriptEditorDataPoolParameterModelField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => valueField;
        set => valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName equipmentNameField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping keyMappingField;

    private int defaultCarrierIndexField;

    private string defaultJobIndexField;

    private int defaultSlotIndexField;

    private string scenarioField;

    private bool useAllRequestedDataField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName EquipmentName
    {
        get => equipmentNameField;
        set => equipmentNameField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping KeyMapping
    {
        get => keyMappingField;
        set => keyMappingField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int DefaultCarrierIndex
    {
        get => defaultCarrierIndexField;
        set => defaultCarrierIndexField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string DefaultJobIndex
    {
        get => defaultJobIndexField;
        set => defaultJobIndexField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int DefaultSlotIndex
    {
        get => defaultSlotIndexField;
        set => defaultSlotIndexField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Scenario
    {
        get => scenarioField;
        set => scenarioField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool UseAllRequestedData
    {
        get => useAllRequestedDataField;
        set => useAllRequestedDataField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName
{

    private string fixedNameField;

    private string parameterNameField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string FixedName
    {
        get => fixedNameField;
        set => fixedNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string ParameterName
    {
        get => parameterNameField;
        set => parameterNameField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool dataPoolField;

    private string formulaField;

    private string keyNameField;

    private string parameterNameField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Formula
    {
        get => formulaField;
        set => formulaField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string KeyName
    {
        get => keyNameField;
        set => keyNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string ParameterName
    {
        get => parameterNameField;
        set => parameterNameField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition
{

    private object ruleField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool dataPoolField;

    /// <remarks/>
    public object Rule
    {
        get => ruleField;
        set => ruleField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn
{

    private int fixedField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Fixed
    {
        get => fixedField;
        set => fixedField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionTrigger
{

    private PDSFConfigurationDataCollectionTriggerDataPool dataPoolField;

    private object ruleField;

    private object descriptionField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionTriggerDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    public object Rule
    {
        get => ruleField;
        set => ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => resolveGlobalVariableBeforeTriggerField;
        set => resolveGlobalVariableBeforeTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionTriggerDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileWriterSettings
{

    private string usedFileWriterField;

    private PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings arrayInRowsSettingsField;

    private PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings parameterInRowsSettingsField;

    /// <remarks/>
    public string UsedFileWriter
    {
        get => usedFileWriterField;
        set => usedFileWriterField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings ArrayInRowsSettings
    {
        get => arrayInRowsSettingsField;
        set => arrayInRowsSettingsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings ParameterInRowsSettings
    {
        get => parameterInRowsSettingsField;
        set => parameterInRowsSettingsField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings
{

    private int logisticChangeExtendTimeField;

    private int extendTimeField;

    private int defaultValueForArrayInLinesField;

    private bool isEnabledField;

    /// <remarks/>
    public int LogisticChangeExtendTime
    {
        get => logisticChangeExtendTimeField;
        set => logisticChangeExtendTimeField = value;
    }

    /// <remarks/>
    public int ExtendTime
    {
        get => extendTimeField;
        set => extendTimeField = value;
    }

    /// <remarks/>
    public int DefaultValueForArrayInLines
    {
        get => defaultValueForArrayInLinesField;
        set => defaultValueForArrayInLinesField = value;
    }

    /// <remarks/>
    public bool IsEnabled
    {
        get => isEnabledField;
        set => isEnabledField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings
{

    private bool isEnabledField;

    private string dataColumnNameField;

    private string logisticColumnNameField;

    private bool isGenerateHashCodeEnabledField;

    private string hashCodeColumnNameField;

    /// <remarks/>
    public bool IsEnabled
    {
        get => isEnabledField;
        set => isEnabledField = value;
    }

    /// <remarks/>
    public string DataColumnName
    {
        get => dataColumnNameField;
        set => dataColumnNameField = value;
    }

    /// <remarks/>
    public string LogisticColumnName
    {
        get => logisticColumnNameField;
        set => logisticColumnNameField = value;
    }

    /// <remarks/>
    public bool IsGenerateHashCodeEnabled
    {
        get => isGenerateHashCodeEnabledField;
        set => isGenerateHashCodeEnabledField = value;
    }

    /// <remarks/>
    public string HashCodeColumnName
    {
        get => hashCodeColumnNameField;
        set => hashCodeColumnNameField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggers
{

    private PDSFConfigurationDataCollectionGeneralTriggersDataPool dataPoolField;

    private object ruleField;

    private object descriptionField;

    private PDSFConfigurationDataCollectionGeneralTriggersVariableModel[] globalVariablesField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionGeneralTriggersDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    public object Rule
    {
        get => ruleField;
        set => ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("VariableModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionGeneralTriggersVariableModel[] GlobalVariables
    {
        get => globalVariablesField;
        set => globalVariablesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => resolveGlobalVariableBeforeTriggerField;
        set => resolveGlobalVariableBeforeTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModel
{

    private string idField;

    private string nameField;

    private object descriptionField;

    private PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool dataPoolField;

    private string formulaField;

    private string parameterNameField;

    private string[] resolveBeforeTriggersField;

    /// <remarks/>
    public string Id
    {
        get => idField;
        set => idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => descriptionField;
        set => descriptionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool DataPool
    {
        get => dataPoolField;
        set => dataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => formulaField;
        set => formulaField = value;
    }

    /// <remarks/>
    public string ParameterName
    {
        get => parameterNameField;
        set => parameterNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("ResolveBeforeTriggers")]
    public string[] ResolveBeforeTriggers
    {
        get => resolveBeforeTriggersField;
        set => resolveBeforeTriggersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool
{

    private PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => parametersField;
        set => parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => nameField;
        set => nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => valueField;
        set => valueField = value;
    }
}