using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record EAFProgramDataConfiguration(string Destination, string Source)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, EAFProgramDataConfigurationSourceGenerationContext.Default.EAFProgramDataConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(EAFProgramDataConfiguration))]
internal partial class EAFProgramDataConfigurationSourceGenerationContext : JsonSerializerContext
{
}